Package com.pixelmed.apps

## Class Convert8To16Bits

- java.lang.Object
- - com.pixelmed.apps.Convert8To16Bits

-     public class Convert8To16Bits
      extends java.lang.Object

  A class of methods to convert 8 to 16 bit gray scale images.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Convert8To16Bits​(java.lang.String inputFileName, java.lang.String outputFileName, int outputBitsStored)` | Read a DICOM 8 bit grayscale image input format file and change the bit depth.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read a DICOM a image input format file with a BitsAllocated of 8, and from it create a DICOM image with a BitsAllocated of 16.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Convert8To16Bits

          public Convert8To16Bits​(java.lang.String inputFileName,
                                  java.lang.String outputFileName,
                                  int outputBitsStored)
                           throws DicomException,
                                  java.io.FileNotFoundException,
                                  java.io.IOException

      Read a DICOM 8 bit grayscale image input format file and change the bit depth.

      Parameters:
        `inputFileName` - the input file name
        `outputFileName` - the output file name
        `outputBitsStored` - less than or equal to 16
      Throws:
        `DicomException`
        `java.io.FileNotFoundException`
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a DICOM a image input format file with a BitsAllocated of 8, and from it create a DICOM image with a BitsAllocated of 16.

      Parameters:
        `arg` - three parameters, the inputFile, outputFile, and the bitsStored value to use in the output